Subject: Re: [PATCH] Undefine strlcpy if needed.

From: Torsten Bögershausen <[email-masked]>
Date: Sun, 24 Aug 2014 21:49:54 +0200

On 2014-08-24 18.18, Ramsay Jones wrote:
> On 24/08/14 12:13, tsuna wrote:
>> On Sun, Aug 24, 2014 at 4:10 AM, Ramsay Jones
>> <[email-masked]> wrote:
>>> Hmm, which version of OS X are we talking about?
>>
>> OS X 10.9.4:
>>
>> $ uname -a
>> Darwin damogran.local 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3
>> 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64
> 
> Hmm, does 'uname -r' return 13.3.0 or 13.4.0? (or something else!)
> 
>>> config.mak.uname contains this:
>>>
>>>         ifeq ($(shell expr "$(uname_R)" : '[15]\.'),2)
>>>                 NO_STRLCPY = YesPlease
>>>
>>> What does ./configure put in config.mak.autogen for NO_STRLCPY?
>>
>> NO_STRLCPY=
> 
> OK, so I've got to my limit here! ;-) The conditional shown above
> (from config.mak.uname) should not have set NO_STRLCPY (assuming
> that 'uname -r' is returning 13.3.0 or 13.4.0). So, unless NO_STRLCPY
> is being set somewhere else (command-line, environment), this should
> just work. puzzled. :(
> 
>>
>> I guess I saw all the warnings because I did just a “git pull —rebase
>> && make -j8” without running “make configure && ./configure”.
>>
> 
> Yes, but use of configure is supposed to be optional ...
> 
> Hopefully, someone who actually knows OS X can solve the mystery.
> 
> ATB,
> Ramsay Jones

I need to admit that I can not reproduce the warning here,
uname -r gives "13.3.0"

Could it be that something is special on your machine ?
Something in the environment  ?
Does a fresh clone help ?